Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.domain
Interface FileResource

All Superinterfaces:
  org.acegisecurity.acl.basic.AclObjectIdentity, AttributedObject, InternalURI, Resource, java.io.Serializable

All Known Implementing Classes:
  FileResourceImpl

    public interface FileResource

extends Resource

Version:
  $Id: FileResource.java 8867 2007-06-22 16:07:37Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static java.lang.String` | `TYPE_FONT`
`static java.lang.String` | `TYPE_IMAGE`
`static java.lang.String` | `TYPE_JAR`
`static java.lang.String` | `TYPE_JRXML`
`static java.lang.String` | `TYPE_RESOURCE_BUNDLE`
`static java.lang.String` | `TYPE_STYLE_TEMPLATE`

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Method Summary
`byte[]` | `getData()`
`java.io.InputStream` | `getDataStream()`
`java.lang.String` | `getFileType()`
`java.lang.String` | `getReferenceURI()`
`boolean` | `hasData()`
`boolean` | `isReference()`
`void` | `readData(java.io.InputStream is)`
`void` | `setData(byte[] data)`
`void` | `setFileType(java.lang.String fileType)`
`void` | `setReferenceURI(java.lang.String referenceURI)`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Field Detail

### TYPE_IMAGE

    static final java.lang.String TYPE_IMAGE

See Also:
  Constant Field Values

### TYPE_FONT

    static final java.lang.String TYPE_FONT

See Also:
  Constant Field Values

### TYPE_JRXML

    static final java.lang.String TYPE_JRXML

See Also:
  Constant Field Values

### TYPE_JAR

    static final java.lang.String TYPE_JAR

See Also:
  Constant Field Values

### TYPE_RESOURCE_BUNDLE

    static final java.lang.String TYPE_RESOURCE_BUNDLE

See Also:
  Constant Field Values

### TYPE_STYLE_TEMPLATE

    static final java.lang.String TYPE_STYLE_TEMPLATE

See Also:
  Constant Field Values

Method Detail

### hasData

    boolean hasData()

### getDataStream

    java.io.InputStream getDataStream()

### readData

    void readData(java.io.InputStream is)

### getData

    byte[] getData()

### setData

    void setData(byte[] data)

### getFileType

    java.lang.String getFileType()

### setFileType

    void setFileType(java.lang.String fileType)

### isReference

    boolean isReference()

### getReferenceURI

    java.lang.String getReferenceURI()

### setReferenceURI

    void setReferenceURI(java.lang.String referenceURI)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.